.celebritypage {
  flex-direction: row;

  margin-top: 60px;
}

.celebritypage-layout {
  --celebritypage-layout-side-width: 25%;
  --celebritypage-layout-show-width: calc(100% - var(--celebritypage-layout-side-width));

  position: relative;
  display: flex;
  gap: 40px;

  align-items: flex-start;
  justify-content: space-between;

  flex-direction: row;

  width: 100%;
}

.celebritypage-side {
  position: relative;
  display: flex;
  gap: 40px;

  align-items: flex-start;
  justify-content: flex-start;

  flex-direction: column;

  width: var(--celebritypage-layout-side-width);
}

.celebritypage-side-filter-section {
  position: relative;
  display: flex;

  align-items: flex-start;
  justify-content: flex-start;

  flex-direction: column;

  width: 100%;

  padding-bottom: 30px;

  border-bottom: 1px solid rgba(0, 0, 0, 0.05);
}
.celebritypage-side-filter-section:last-child {
  border: 0;
}

.celebritypage-side-filter-section-title {
  position: relative;
  display: flex;

  width: 100%;

  font-size: 12px;
  font-weight: 700;

  color: black;
}

.celebritypage-side-filter-section-listing {
  position: relative;
  display: flex;
  /* gap: 10px; */

  align-items: flex-start;
  justify-content: flex-start;

  flex-direction: column;

  width: 100%;

  padding: 20px 0;
}

.celebritypage-side-filter-section-listing-item {
  position: relative;
  display: flex;

  align-items: flex-start;
  justify-content: flex-start;

  flex-direction: column;

  width: 100%;
}
.celebritypage-side-filter-section-listing-item-inner {
  position: relative;
  display: flex;

  align-items: center;
  justify-content: flex-start;

  flex-direction: row;

  width: 100%;
}

.celebritypage-side-filter-section-listing-item-moreaction {
  position: relative;
  display: flex;

  align-items: center;
  justify-content: center;

  flex-direction: row;

  width: 20px;
  min-width: 20px;
  height: 20px;

  font-size: 12px;

  color: rgba(0, 0, 0, 0.5);
}

.celebritypage-side-filter-section-listing-checkbox {
  position: relative;
  display: flex;

  align-items: center;
  justify-content: flex-start;

  flex-direction: row;

  width: 100%;
}
.celebritypage-side-filter-section-listing-checkbox > label {
  cursor: pointer;
  position: relative;
  display: flex;
  gap: 10px;

  align-items: center;
  justify-content: flex-start;

  flex-direction: row;

  width: 100%;

  padding: 5px 0;
}
.celebritypage-side-filter-section-listing-checkbox input[type="checkbox"] {
  position: relative;
  display: none;
}
.celebritypage-side-filter-section-listing-checkbox input[type="checkbox"]:checked + span {
  /* opacity: 0.3; */
}

.celebritypage-side-filter-section-listing-checkbox-checkicon {
  position: relative;
  display: flex;

  align-items: center;
  justify-content: center;

  flex-direction: row;

  width: 16px;
  height: 16px;

  border-radius: 4px;
  border: 1px solid rgba(0, 0, 0, 0.06);

  font-size: 9px;

  color: rgba(0, 0, 0, 0.1);

  box-shadow: 0 1px 1px rgba(0, 16, 75, 0.05);
  transition: 0.2s all ease;
}
.celebritypage-side-filter-section-listing-checkbox:hover .celebritypage-side-filter-section-listing-checkbox-checkicon {
  background: rgba(0, 0, 0, 0.03);
}
.celebritypage-side-filter-section-listing-checkbox > label input[type="checkbox"]:checked ~ .celebritypage-side-filter-section-listing-checkbox-checkicon {
  color: rgba(255, 255, 255, 1);
  background: rgba(var(--color-brand-shiny), 1);
  border-color: rgba(var(--color-brand-shiny), 1);
}

.celebritypage-side-filter-section-listing-checkbox-title {
  position: relative;
  display: flex;

  align-items: center;

  flex-direction: row;

  padding-top: 2px;

  font-size: 12px;
  font-weight: 500;

  opacity: 0.5;

  transition: 0.2s all ease;
}
.celebritypage-side-filter-section-listing-checkbox > label input[type="checkbox"]:checked ~ .celebritypage-side-filter-section-listing-checkbox-title {
  opacity: 1;
}

.celebritypage-side-filter-section-listing-sublisting {
  position: relative;
  display: none;

  align-items: flex-start;
  justify-content: flex-start;

  flex-direction: column;

  width: 100%;

  padding-left: 30px;
}
.celebritypage-side-filter-section-listing-item.shown-more > .celebritypage-side-filter-section-listing-sublisting {
  display: flex;
}

.celebritypage-show {
  position: relative;
  display: flex;

  align-content: flex-start;
  justify-content: flex-start;

  flex-direction: column;

  width: var(--celebritypage-layout-show-width);
}


/* Show Banners. */
.celebritypage-show-header-banners {
  position: relative;
  display: flex;

  flex-direction: column;

  width: 100%;
}
.celebritypage-show-header-banners-squarer {
  position: relative;
  display: flex;

  flex-direction: column;

  padding-top: calc(100% * 0.45);
}
.celebritypage-show-header-banners-inner {
  position: absolute;
  display: flex;
  flex-direction: column;

  width: 100%;
  height: 100%;

  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
}

.celebritypage-show-banners {
  position: relative;
  display: flex;
  overflow: hidden;

  align-items: flex-start;
  justify-content: flex-start;

  flex-direction: row;

  width: 100%;
  height: 100%;

  border-radius: 6px;
}

.celebritypage-show-banner {
  position: relative;
  display: flex;

  flex-direction: row;

  width: 100%;
  height: 100%;

  text-decoration: none;

  color: white;
}
.celebritypage-show-banner-image {
  position: relative;
  display: flex;
  overflow: hidden;

  width: 100%;
  height: 100%;
}
.celebritypage-show-banner-image img {
  position: relative;
  display: flex;

  width: 100%;
  height: 100%;

  object-fit: cover;
  object-position: center center;
}
.celebritypage-show-banner-image::before {
  content: "";
  position: absolute;
  z-index: 1;

  top: 0;
  left: 0;

  width: 100%;
  height: 100%;

  /* background-color: rgba(0, 0, 0, 0.25); */
}

.celebritypage-show-banner-content {
  position: absolute;
  display: flex;
  z-index: 1;

  align-items: center;
  justify-content: center;

  flex-direction: column;

  top: 0;
  right: 0;
  left: 0;
  bottom: 0;

  width: 100%;
  height: 100%;
}

.celebritypage-show-banner-inner {
  position: relative;
  display: flex;
  gap: 15px;

  align-items: center;
  justify-content: center;

  flex-direction: column;

  width: 100%;
  max-width: var(--sizing-containers-max-width);

  padding: 0 var(--sizing-HPadding);
}

.celebritypage-show-banner-content-highlight {
  position: relative;

  font-size: 12px;
  font-weight: 400;

  text-align: center;
}
.celebritypage-show-banner-content-bigtext {
  position: relative;

  font-size: 24px;
  font-weight: 900;

  text-align: center;
}



/* Products. */
.celebritypage-products {
  position: relative;
  display: flex;
  gap: 20px;

  flex-direction: column;

  width: 100%;

  padding: 40px 0 ;
}

.celebritypage-products-header {
  position: relative;
  display: flex;
  gap: 40px;

  align-items: center;
  justify-content: space-between;

  flex-direction: row;

  width: 100%;
}
.celebritypage-products-header-side {
  position: relative;
  display: flex;
  gap: 20px;

  align-items: center;
  justify-content: flex-start;

  flex-direction: row;
}

.celebritypage-products-header-side-text {
  position: relative;

  font-size: 12px;
  font-weight: 600;

  color: rgba(0, 0, 0, 0.5);
}

.celebritypage-products-header-selection {
  position: relative;
  display: flex;

  align-items: center;

  flex-direction: row;
}
.celebritypage-products-header-selection select {
  position: relative;
  display: flex;

  width: 120px;
  height: 20px;

  padding-top: 2px;
  padding-right: 10px;

  border: 0;
  border-right: 1px solid rgba(0, 0, 0, 0.1);

  text-overflow: ellipsis;
  white-space: nowrap;

  font-size: 12px;
  font-weight: 700;
}
.celebritypage-products-header-selection:last-child select {
  border-right: 0;
}


.celebritypage-products-footer {
  position: relative;
  display: flex;

  align-items: flex-start;
  justify-content: flex-start;

  flex-direction: column;

  width: 100%;
}
.celebritypage-products-footer-pagination {
  position: relative;
  display: flex;

  align-items: center;
  justify-content: center;

  flex-direction: row;
  flex-wrap: wrap;

  width: 100%;
}
.celebritypage-products-footer-pagination-page {
  position: relative;
  display: flex;
  flex-shrink: 0;

  align-items: center;
  justify-content: center;

  flex-direction: row;

  width: 35px;
  height: 35px;

  padding-top: 2px;

  font-size: 12px;
  font-weight: 500;

  border: 1px solid rgba(0, 0, 0, 0.1);
  border-right-width: 0;

  color: black;

  transition: 0.26s all ease;
}
.celebritypage-products-footer-pagination-page:first-child {
  border-radius: 4px;
  border-top-right-radius: 0;
  border-bottom-right-radius: 0;
}
.celebritypage-products-footer-pagination-page:last-child {
  border-right-width: 1px;

  border-radius: 4px;
  border-top-left-radius: 0;
  border-bottom-left-radius: 0;
}
.celebritypage-products-footer-pagination-page:hover {
  background: rgba(0, 0, 0, 0.035);
}
.celebritypage-products-footer-pagination-page.active {
  color: white;
  background: black;
}





















/* Responsiveness. */
@media (max-width: 600px) {
  .celebritypage-layout {
    --celebritypage-layout-side-width: 100%;
    --celebritypage-layout-show-width: 100%;

    gap: 20px;

    flex-wrap: wrap;
  }
}

@media (max-width: 450px) {
  .celebritypage-layout {
    gap: 0;
  }
  .celebritypage-products-header {
    gap: 20px;
    justify-content: center;
    flex-wrap: wrap;
  }
}









































/*  */
